%define netbsd_tftp_version 20020313

Summary: The client for the Trivial File Transfer Protocol (TFTP).
Name: netbsd-tftp
Version: %{netbsd_tftp_version}
Release: 1
Copyright: BSD
Group: Applications/Internet
Source0: netbsd-tftp-%{netbsd_tftp_version}.tar.gz
Source2: tftp-xinetd
Patch0: netbsd-tftp-20020313-linux.diff
BuildRoot: %{_tmppath}/%{name}-root
Obsoletes: tftp

%description
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations.  The tftp package provides the user
interface for TFTP, which allows users to transfer files to and from a
remote machine.  This program and TFTP provide very little security,
and should not be enabled unless it is expressly needed.

%package server
Group: System Environment/Daemons
Summary: The server for the Trivial File Transfer Protocol (TFTP).
Requires: xinetd
Obsoletes: tftp-server

%description server
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations.  The tftp-server package provides the
server for TFTP, which allows users to transfer files to and from a
remote machine. TFTP provides very little security, and should not be
enabled unless it is expressly needed.  The TFTP server is run from
/etc/xinetd.d/tftp, and is disabled by default on Red Hat Linux systems.

%prep
%setup -q -n netbsd-tftp-%{netbsd_tftp_version}
%patch0 -p1 -b .linux

%build

make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man{1,8}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}

make DESTDIR=${RPM_BUILD_ROOT} \
    BINDIR=%{_bindir} SBINDIR=%{_sbindir} MANDIR=%{_mandir} \
	install
install -m755 -d ${RPM_BUILD_ROOT}%{_sysconfdir}/xinetd.d/
install -m644 %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/xinetd.d/tftp

%post server
/sbin/service xinetd reload > /dev/null 2>&1 || :

%postun server
if [ $1 = 0 ]; then
    /sbin/service xinetd reload > /dev/null 2>&1 || :
fi

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_bindir}/tftp
%{_mandir}/man1/*

%files server
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/xinetd.d/tftp
%{_sbindir}/in.tftpd
%{_mandir}/man8/*

%changelog
* Wed Mar 13 2002 Pekka Savola <pekkas@netcore.fi>
- Initial packaging, use tftp-0.28 from RHL as a basis.
